Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006263OCamlOCaml otherlibspublic2013-12-07 18:262016-01-27 16:05
Reporterdbuenzli 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.01.0 
Target VersionFixed in Version4.03.0+dev 
Summary0006263: A function Bigarray.kind_byte_size is missing
DescriptionA function:

val Bigarray.kind_byte_size : ('a, 'b) kind -> int
(** [kind_byte_size k] is the length in bytes of an elements stored in a bigarray of kind [k]. *)

is useful in various contexts and cannot be written without resorting to Obj.magic.
TagsNo tags attached.
Attached Files

- Relationships
related to 0006064resolvedgasche Expose a GADT representation for Bigarray.kind 

-  Notes
(0010713)
dbuenzli (reporter)
2013-12-15 23:28

Btw exposing caml_ba_byte_size as :

val Bigarray.byte_size : ('a, 'b, 'c) t -> int

would be nice too.
(0010789)
yallop (developer)
2014-01-09 22:23
edited on: 2016-01-27 15:40

0006064 makes it possible to write kind_byte_size and byte_size without Obj.magic.

(0010793)
dbuenzli (reporter)
2014-01-12 14:39

Cool, but that's still a function that I already cut and pasted a few times now. You'll most likely need it as soon as you are interfacing polymorphic bigarrays with C code.
(0015279)
doligez (administrator)
2016-01-27 16:04

See GPR#236 (https://github.com/ocaml/ocaml/pull/236 [^]).
(0015280)
doligez (administrator)
2016-01-27 16:05

Fixed in trunk (commit 192ccd090239ad20160931e79e2adcea847e6f90).

- Issue History
Date Modified Username Field Change
2013-12-07 18:26 dbuenzli New Issue
2013-12-07 18:59 gasche Relationship added related to 0006064
2013-12-15 23:28 dbuenzli Note Added: 0010713
2014-01-09 22:23 yallop Note Added: 0010789
2014-01-12 14:39 dbuenzli Note Added: 0010793
2014-07-16 14:45 doligez Status new => acknowledged
2016-01-27 15:40 doligez Note Edited: 0010789 View Revisions
2016-01-27 16:04 doligez Note Added: 0015279
2016-01-27 16:05 doligez Note Added: 0015280
2016-01-27 16:05 doligez Status acknowledged => closed
2016-01-27 16:05 doligez Resolution open => fixed
2016-01-27 16:05 doligez Fixed in Version => 4.03.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker